package com.th.demo.mapping.ware;

import com.th.demo.model.ware.InRecord;
import com.th.demo.model.ware.MoveRecord;
import com.th.demo.model.ware.TotalRecord;

import java.util.Date;
import java.util.List;

public interface MoveRecordMapper {
    int deleteByPrimaryKey(String id);

    int insert(MoveRecord record);

    int insertSelective(MoveRecord record);

    MoveRecord selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(MoveRecord record);

    int updateByPrimaryKey(MoveRecord record);

    List<MoveRecord> select(String wareNameOld, String wareNameNew, String stackNameOld, String stackNameNew, String model,
                            String materialName, String standard, String customerName,
                            String plateNo, Date fromDate, Date toDate, String userId, String belongId);

    List<TotalRecord> selectTotal(String wareNameOld, String wareNameNew, String stackNameOld, String stackNameNew, String model, String materialName, String standard, String customerName, String plateNo, Date fromDate, Date toDate, String userId, String belongId);
}